"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const react_native_paper_1 = require("react-native-paper");
const radio_group_props_1 = __importDefault(require("./radio-group.props"));
exports.default = (_a) => {
    var { path, options = {}, value, htmlid, inputProps, nullOption, schema = {}, onChange } = _a, rest = __rest(_a, ["path", "options", "value", "htmlid", "inputProps", "nullOption", "schema", "onChange"]);
    const { choices } = radio_group_props_1.default({ onChange, schema, options });
    return (react_1.default.createElement(react_native_1.View, Object.assign({ id: htmlid, "aria-label": path, name: path, value: String(value) }, radio_group_props_1.default({ onChange, schema, options }), options), choices
        && choices.length
        && choices.map((o) => (react_1.default.createElement(react_native_paper_1.RadioButton, { key: o.key, value: String(o.key) })))));
};
//# sourceMappingURL=index.js.map